שלוש הסכמות
כל סכמה היא פיסת טקסט קצרה שטלפון יודע להעביר לאפליקציה הנכונה. mailto: פותח את אפליקציית הדואר, tel: פותח את החייגן ו-sms: פותח את אפליקציית ההודעות, כשהנמען ולעיתים גם ההודעה כבר מולאו.
מספרי טלפון עובדים הכי טוב בפורמט בינלאומי עם סימן פלוס וקידומת מדינה, כמו +15035550123, כדי שהקוד יעבוד למבקרים ממדינות אחרות.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (מוסכמה ישנה יותר, עדיין נקראת בהרחבה)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (מוסכמה ישנה יותר לאימייל)
קידוד טקסט ההודעה
נושאים וגופי הודעות בקישורי mailto ו-sms חייבים להיות מקודדים באחוזים, כך שרווח הופך ל-%20 ו-& בתוך הטקסט הופך ל-%26. תווים לא מקודדים יכולים לקצץ את ההודעה או לשבור את הקישור.
פלטפורמות לא תמיד פענחו את פרמטר גוף ה-sms באותה צורה, וזו אחת הסיבות שהצורה הישנה SMSTO: עדיין נפוצה במחוללי QR. בדיקה גם באייפון וגם באנדרואיד לפני ההדפסה היא הבדיקה האמינה.
מה הקודים האלה לא יכולים לעשות
קוד QR לא יכול לשלוח אימייל, לשלוח הודעת טקסט או לחייג בעצמו. הוא רק פותח את האפליקציה עם השדות ממולאים, והאדם שסורק מחליט אם ללחוץ על שליחה או חיוג.
מכיוון שהנמען גלוי לפני השליחה, אנשים צריכים לבדוק שהוא תואם למה שהם מצפים. קוד שממלא מראש הודעה למספר בתשלום יתר או לכתובת לא מוכרת הוא סימן אזהרה.